Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.webapp.action
Class SearchAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          com.gisgraphy.webapp.action.SearchAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

Direct Known Subclasses:
  AddressParserAction, FulltextSearchAction, GeocodingByTextAction, GeolocSearchAction, ReverseGeocodingAction, StreetSearchAction

    public class SearchAction

extends com.opensymphony.xwork2.ActionSupport

base class for Gisgraphy search Action

Author:
  David Masclet
See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_NUMBER_OF_RESULTS_PER_PAGE`
`protected String` | `errorMessage` The error message in case of exception
`protected static String` | `POPUP_VIEW`

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`SearchAction()`

Method Summary
`int` | `getDefaultNumberOfResultsPerPage()`
`String` | `getErrorMessage()`
`String` | `getFormat()`
`int` | `getFrom()`
`List<String>` | `getPlacetypes()`
`int` | `getTo()`
`boolean` | `isAdvancedSearch()`
`boolean` | `isIndent()`
`void` | `setAdvancedSearch(boolean advancedSearch)`
`void` | `setFormat(String format)`
`void` | `setFrom(int from)`
`void` | `setIndent(boolean indent)`
`void` | `setTo(int to)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, execute, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POPUP_VIEW

    protected static final String POPUP_VIEW

See Also:
  Constant Field Values

### DEFAULT_NUMBER_OF_RESULTS_PER_PAGE

    public static final int DEFAULT_NUMBER_OF_RESULTS_PER_PAGE

See Also:
  Constant Field Values

### errorMessage

    protected String errorMessage

  The error message in case of exception

Constructor Detail

### SearchAction

    public SearchAction()

Method Detail

### setFrom

    public void setFrom(int from)

  Parameters:
    `from` - the from to set

### setTo

    public void setTo(int to)

  Parameters:
    `to` - the to to set

### setFormat

    public void setFormat(String format)

  Parameters:
    `format` - the format to set

### setIndent

    public void setIndent(boolean indent)

  Parameters:
    `indent` - the indent to set

### getPlacetypes

    public List<String> getPlacetypes()

  Returns:
    the available placetypes

### isAdvancedSearch

    public boolean isAdvancedSearch()

  Returns:
    the advancedSearch

### setAdvancedSearch

    public void setAdvancedSearch(boolean advancedSearch)

  Parameters:
    `advancedSearch` - the advancedSearch to set

### getFrom

    public int getFrom()

  Returns:
    the from

### getTo

    public int getTo()

  Returns:
    the to

### getFormat

    public String getFormat()

  Returns:
    the format

### isIndent

    public boolean isIndent()

  Returns:
    the indent

### getErrorMessage

    public String getErrorMessage()

  Returns:
    the errorMessage

### getDefaultNumberOfResultsPerPage

    public int getDefaultNumberOfResultsPerPage()

  Returns:
    the dEFAULT_NUMBER_OF_RESULTS_PER_PAGE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.